﻿using MessagePack;

namespace ChatRoomContract;

/// <summary>
/// RabbitMQ message
/// </summary>
[MessagePackObject]
public class RPCMessage
{
    /// <summary>
    /// Is this message a response
    /// </summary>
    [Key(0)]
    public bool isResponse;
    /// <summary>
    /// Method name
    /// </summary>
    [Key(1)]
    public string method;
    /// <summary>
    /// Optional arguments
    /// </summary>
    [Key(2)]
    public byte[]? args;
}

/// <summary>
/// IChatRoomService.SendMessage arguments
/// </summary>
[MessagePackObject]
public class SendMessageArgs
{
    /// <summary>
    /// Client ID
    /// </summary>
    [Key(0)]
    public int clientId { get; set; }
    /// <summary>
    /// Message contents
    /// </summary>
    [Key(1)]
    public string contents { get; set; }
    /// <summary>
    /// Does this message need to be censored?
    /// </summary>
    [Key(2)]
    public bool needsToBeCensored { get; set; }
}